Bug 520482 - FTBFS: kdelibs build not detecting/using isinf/isnan (?)
FTBFS: kdelibs build not detecting/using isinf/isnan (?)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kdelibs (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F12Blocker-kde
  Show dependency treegraph
 
Reported: 2009-08-31 13:54 EDT by Rex Dieter
Modified: 2009-09-04 15:20 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-04 15:20:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2009-08-31 13:54:49 EDT
kdelibs fails to build on recent rawhide (works on F-11), seems to have to do with not detecting isinf/isnan properly.

From build.log:
...
-- Looking for isnan
-- Looking for isnan - not found.
-- Looking for isinf
-- Looking for isinf - not found.
...
/builddir/build/BUILD/kdelibs-4.3.1/kjs/operations.cpp: In function 'bool KJS::isNaN(double)':
/builddir/build/BUILD/kdelibs-4.3.1/kjs/operations.cpp:55: error: '_isnan' was not declared in this scope
make[2]: *** [kjs/CMakeFiles/kjs.dir/operations.o] Error 1
...

Doesn't seem to be related to non-use of _GNU_SOURCE (and friends), cmake seems to define these already (but I'm not 100% sure).

See also,
http://koji.fedoraproject.org/koji/taskinfo?taskID=1645540

Someone on rawhide will probably have to take a closer look, see if this is kde or glibc (or other) at fault here.
Comment 1 Jaroslav Reznik 2009-09-01 08:07:48 EDT
Seems like it's our bug - it does not find isnan with %{cmake_kde4} macro but it does with just "cmake .." command in SPEC file.
Comment 2 Rex Dieter 2009-09-04 15:20:15 EDT
Fixed, building now.  woo.  glibc to the rescue.

Note You need to log in before you can comment on or make changes to this bug.